
class PonyPlotLogo {
  
  private PApplet parent;
  float[] startpointsX = { 157.0, 143.0, 181.0, 147.0, 212.0, 162.0, 233.0, 177.0, 248.0, 196.0, 268.0, 211.0, 288.0, 230.0, 313.0, 243.0, 338.0, 263.0, 356.0, 280.0, 376.0, 294.0, 391.0, 327.0, 391.0, 359.0, 392.0, 383.0, 390.0, 404.0, 394.0, 427.0, 393.0, 446.0, 393.0, 452.0, 390.0, 471.0, 392.0, 495.0, 394.0, 520.0, 391.0, 541.0, 389.0, 558.0, 386.0, 581.0, 365.0, 605.0, 353.0, 618.0, 340.0, 621.0, 321.0, 621.0 };
  float[] startpointsY = { 454.0, 428.0, 464.0, 394.0, 466.0, 374.0, 451.0, 356.0, 447.0, 335.0, 442.0, 321.0, 434.0, 303.0, 427.0, 284.0, 425.0, 268.0, 417.0, 243.0, 413.0, 219.0, 401.0, 197.0, 401.0, 188.0, 410.0, 174.0, 403.0, 168.0, 405.0, 135.0, 403.0, 113.0, 409.0, 184.0, 406.0, 193.0, 404.0, 204.0, 406.0, 219.0, 415.0, 242.0, 438.0, 268.0, 443.0, 293.0, 474.0, 319.0, 489.0, 355.0, 507.0, 401.0, 536.0, 440.0 };

  int pointcounter = 0;
  long lastMillis = 0;
  ArrayList<PVector> points = new ArrayList<PVector>();
  PImage pplogo_background;
  PFont font;
  
  PonyPlotLogo(PApplet _parent) {
    parent = _parent;
    pplogo_background = loadImage("ponyplot_logo_background.jpeg");
    // from https://www.fontsupply.com/fonts/C/Courier.html
    font = createFont("COURIER.TTF",150);
//    println("startpoints.length: "+startpointsX.length);
    
    for (int i=0;i<startpointsX.length;i++) {
      points.add(new PVector( startpointsX[i],startpointsY[i])); 
    }
  }
  void drawLogo(int x, int y, int w, int h) {
    drawLogo((float)x,(float)y,(float)w,(float)h);
  }
  void drawLogo(float x, float y, float w, float h) {
    int drawPointsTill = points.size()-2;
    if (pointcounter<points.size()-1) {
       drawPointsTill = pointcounter;
    }
    if (millis()>lastMillis) {
      image(pplogo_background,x,y,w*800/800,h*800/800);
      strokeWeight(13f/800f*w);
      stroke(171,255,221,150);
      for (int i=0;i<drawPointsTill;i++) {
        line(points.get(i).x/800*w+x,points.get(i).y/800*h+y,points.get(i+1).x/800*w+x,points.get(i+1).y/800*h+y);  
      }
      lastMillis = millis();
    }
    fill(0,0,0,lerp(0,255,max(1.0,(float)pointcounter / 56.0)));
    textAlign(CENTER, CENTER);
    textFont(font);
    textSize((int)(150f/800*w));
    text("PonyPlot",w/2+x,630f/800*h+y);
    pointcounter++;
    if (pointcounter>70) {
      pointcounter = 0;  
    }
  }
}
